Subject: [Gen-art] gen-art review of draft-sinnreich-sip-tools-06

From: Scott Brim <[email-masked]>
Date: Thu, 21 May 2009 19:32:08 -0400

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html). 

Please wait for direction from your document shepherd                                          
or AD before posting a new version of the draft.                                               
                                                                                               
Document: draft-sinnreich-sip-tools-06
Reviewer: Scott Brim
Review Date: 21 May 2009                                                                       
IETF last call date: 2009 June 05
 
Summary: This draft is on the right track but has open issues,
described in the review.

Major issues: 

I'm sympathetic but I don't think the recent changes have adequately
answered the issues that Paul brought up in his review.  I discussed
it with him and the following things concern me:

  - HIP: Yes, you could use HIP, but HIP NAT traversal uses HIP,
    (simplified) ICE, and TURN and rendezvous servers.  You get rid of
    SIP servers, but that's all, then you add HIP rendezvous servers
    and you also have to deal with the question of authentication
    services for HIP.

  - Emergency services: Some language has been added but someone with
    emergency services credentials should check it ... some of what is
    advocated may be illegal in some scenarios.  The extra language
    doesn't seem to clarify, rather it seems to send a mixed message.

As I said I'm sympathetic to the goal.  In those two areas, maybe it
would be good to be less ambitious, to tone down the text and not
overextend your reach?  I don't think it would weaken the case.

Scott